# OpenLayers.Renderer

This is the base class for all renderers.

This is based on a merger code written by Paul Spencer and Bertil Chapuis. It is largely composed of virtual functions that are to be implemented in technology-specific subclasses, but there is some generic code too.

The functions that are implemented here merely deal with the maintenance of the size and extent variables, as well as the cached ‘resolution’ value.

A note to the user that all subclasses should use getResolution() instead of directly accessing this.resolution in order to correctly use the cacheing system.

Summary

OpenLayers.Renderer | This is the base class for all renderers.
Constructor |
OpenLayers.Renderer |
Functions |
destroy |
supported | This should be overridden by specific subclasses
Constants |
OpenLayers.Renderer.defaultSymbolizer | {Object} Properties from this symbolizer will be applied to symbolizers with missing properties.

### Constructor

### OpenLayers.Renderer

#### Parameters

containerID | {String}
options | {Object} options for this renderer. See sublcasses for supported options.

### Functions

### destroy

> destroy: function()

### supported

> supported: function()

This should be overridden by specific subclasses

#### Returns

{Boolean} Whether or not the browser supports the renderer class

### Constants

### OpenLayers.Renderer.defaultSymbolizer

{Object} Properties from this symbolizer will be applied to symbolizers with missing properties. This can also be used to set a global symbolizer default in OpenLayers. To be SLD 1.x compliant, add the following code before rendering any vector features:

>     OpenLayers.Renderer.defaultSymbolizer = {
>         fillColor: "#808080",
>         fillOpacity: 1,
>         strokeColor: "#000000",
>         strokeOpacity: 1,
>         strokeWidth: 1,
>         pointRadius: 3,
>         graphicName: "square"
>     };

> destroy: function()

> supported: function()

This should be overridden by specific subclasses
Contains convenience functions for string manipulation.
Close